> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet transfer

> Transfer crypto from one wallet address to another



## OpenAPI

````yaml post /wallet/transfer
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /wallet/transfer:
    post:
      summary: Wallet transfer
      description: Transfer crypto from one wallet address to another
      operationId: wallet-transfer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                network:
                  type: string
                  description: Network on which crypto is to be transferred
                currency:
                  type: string
                  description: Currency of the crypto to be transferred
                address:
                  type: string
                  description: Wallet address to transfer crypto
                amount:
                  type: number
                  description: Amount of crypto to be transferred
                walletType:
                  type: string
                  description: Wallet type
                memo:
                  type: string
                  description: Optional transaction memo
              required:
                - network
                - currency
                - address
                - amount
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      transferDetail:
                        type: object
                        properties:
                          transactionId:
                            type: string
                          sender:
                            type: string
                          type:
                            type: string
                          status:
                            type: string
                          date:
                            type: string
                          toCurrency:
                            type: string
                          fromCurrency:
                            type: string
                          receiveAmount:
                            type: number
                          amount:
                            type: number
                          address:
                            type: string
                          memo:
                            type: string
                          username:
                            type: string
      security:
        - ApiUser: []
          ApiKey: []
          UserVersion: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key
    UserVersion:
      type: apiKey
      in: header
      name: X-User-Version

````